Edge Class

class NXOpen.Edge

Bases: NXOpen.DisplayableObject, NXOpen.IReferenceAxis, NXOpen.ICurve, NXOpen.IProfile

Represents an edge

An edge is obtained from its parent NXOpen.Body

New in version NX3.0.0.

Properties

Property Description
Color Returns or sets the color of the object.
IsBlanked Returns the blank status of this object.
IsOccurrence Returns whether this object is an occurrence or not.
IsReference Returns the reference state of a curve
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Layer Returns or sets the layer that the object is in.
LineFont Returns or sets the line font of the object.
LineWidth Returns or sets the line width of the object.
Name Returns the custom name of the object.
NameLocation Returns the location of the object’s name.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
SolidEdgeType Returns the solid type of the edge
Tag Returns the Tag for this object.

Methods

Method Description
Blank Blanks the object.
CreateAttributeIterator Create an attribute iterator @return A new attribute iterator object
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBody Returns the body containing this edge @return
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetDraftingCurveInfo Creates new DraftingCurveInfo object @return New DraftingCurveInfo object.
GetFaces Returns the faces connected to the edge @return
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetLength Returns the length of the object @return
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
GetVertices Returns the vertices of the edge.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator @return
Highlight Highlights the object.
Print Prints a representation of this object to the system log file.
RedisplayObject Redisplays the object in all views.
RemoveViewDependency Remove dependency on all views from an object.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetName Sets the custom name of the object.
SetNameLocation Sets the location of the object’s name.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
Unblank Unblanks the object.
Unhighlight Unhighlights the object.

Enumerations

EdgeEdgeType Enumeration Solid edge type.

Property Detail

IsOccurrence

Edge.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence()

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

IsReference

Edge.IsReference

Returns the reference state of a curve

-------------------------------------

Getter Method

Signature IsReference()

Returns:True - Reference; False - Not Reference
Return type:bool

New in version NX8.0.0.

License requirements: None.

JournalIdentifier

Edge.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier()

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

Edge.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name()

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

Edge.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent()

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

Edge.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart()

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

Edge.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype()

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

SolidEdgeType

Edge.SolidEdgeType

Returns the solid type of the edge

-------------------------------------

Getter Method

Signature SolidEdgeType()

Returns:
Return type:NXOpen.EdgeEdgeType

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Method Detail

FindObject

Edge.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

GetBody

Edge.GetBody

Returns the body containing this edge

Signature GetBody()

Returns:
Return type:NXOpen.Body

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetDraftingCurveInfo

Edge.GetDraftingCurveInfo

Creates new DraftingCurveInfo object

Signature GetDraftingCurveInfo()

Returns:New DraftingCurveInfo object. Returns None if the input curve

is not a drafting curve :rtype: NXOpen.Drawings.DraftingCurveInfo

New in version NX10.0.0.

License requirements: None.

GetFaces

Edge.GetFaces

Returns the faces connected to the edge

Signature GetFaces()

Returns:
Return type:list of NXOpen.Face

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetLength

Edge.GetLength

Returns the length of the object

Signature GetLength()

Returns:
Return type:float

New in version NX3.0.0.

License requirements: None.

GetVertices

Edge.GetVertices

Returns the vertices of the edge.

If the edge is closed, the second vertex is the same as the first.

Signature GetVertices()

Returns:a tuple
Return type:A tuple consisting of (vertex1, vertex2). vertex1 is a NXOpen.Point3d. First vertex in the edge vertex2 is a NXOpen.Point3d. Second vertex in the edge

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Print

Edge.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetName

Edge.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.